export declare enum Platform {
    CLASSIC = "CLASSIC",
    GITOPS = "GITOPS"
}
export type GitEnricherInputs = {
    provider: string;
    cfHost?: string;
    cfApiKey?: string;
    imageName?: string;
    repo?: string;
    branch?: string;
    gitContext?: string;
    eventFilePR?: any;
    platform: Platform;
    githubApiHost?: string;
    githubToken?: string;
    githubApiPathPrefix?: string;
    githubContextName?: string;
    gitlabHost?: string;
    gitlabToken?: string;
    bitbucketHost?: string;
    bitbucketUsername?: string;
    bitbucketPassword?: string;
    commitsByUserLimit?: string;
};
//# sourceMappingURL=types.d.ts.map