export enum Platform {
  CLASSIC = 'CLASSIC',
  GITOPS = 'GITOPS',
}

export type GitEnricherInputs = {
  provider: string,
  cfHost?: string,
  cfApiKey?: string,
  imageName?: string,
  repo?: string,
  branch?: string,
  gitContext?: string,
  eventFilePR?: any,
  platform: Platform,

  // github
  githubApiHost?: string,
  githubToken?: string,
  githubApiPathPrefix?: string,
  githubContextName?: string,

  // gitlab
  gitlabHost?: string,
  gitlabToken?: string,

  // bitbucket
  bitbucketHost?: string,
  bitbucketUsername?: string,
  bitbucketPassword?: string,

  commitsByUserLimit?: string,
}
